Companies
The companies resource.
Basehttps://rest.carbon.ms/companies
GET
/companiesList companiess
Retrieve a paginated list of companiess. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/companies
curl --request GET \
--url 'https://rest.carbon.ms/companies?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"userId": "xyz789",
"companyId": "xyz789",
"name": "Example",
"taxId": "xyz789",
"addressLine1": "string",
"addressLine2": "string",
"city": "string"
}
]GET
/companiesRetrieve a companies
Fetch a single companies by filtering on `id`.
Query parameters
idstringMatch on the companies's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/companies
curl --request GET \
--url 'https://rest.carbon.ms/companies?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"userId": "xyz789",
"companyId": "xyz789",
"name": "Example",
"taxId": "xyz789",
"addressLine1": "string",
"addressLine2": "string",
"city": "string"
}